<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminItems.class.php');

template:
{
	AdminItems::tplSection('delete');

	Template::set('delete',
	[
		'button_text' => __('Supprimer le fichier'),
		'confirm_text' => __('Supprimer le fichier ?'),
		'context_text' => __('Cette action supprimera de façon définitive le fichier'
			. ' ainsi que tous les commentaires et votes qui lui sont liés.')
	]);
}

update:
{
	Admin::displayOptions('album');

	AdminItems::delete();
}

get_data:
{
	AdminItems::getInfos();

	AdminAlbums::getCategoriesLists();

	AdminItems::getBrowseItems();
}
?>